package proj3.extras;

import proj3.HeapGraphSearch;
import proj3.RoomNode;

/**
 * Just like DijkstrasAlgorithm, this is equivalent to BFS for these mazes.
 * 
 * @see proj3.DijkstrasAlgorithm
 */
public class StepDijkstrasAlgorithm extends HeapGraphSearch {

	@Override
	protected int heuristic(RoomNode start, RoomNode end) { return 0; }

	@Override
	protected int newCost(RoomInfo n) { return n.cost + 1; }
	
	public String toString() { return "Dijkstra's Algorithm (Step by Step)"; }
	public String getShortName() { return "Dijkstra's (S)"; }
}
