package proj3.extras;

import proj3.GraphSearch;
import proj3.RoomNode;

public interface StepGraphSearch extends GraphSearch {
	/**
	 * Advances just one step in the search. Returns true if the search is done or can no longer proceed.
	 */
	public boolean advance();
	
	/**
	 * Initializes the open list and the goal node for an execution of the algorithm
	 */
	public void setStartAndEnd(RoomNode start, RoomNode end);
}
